Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class DefaultCodecResourceRequestData

    java.lang.Object
      org.richfaces.resource.DefaultCodecResourceRequestData

All Implemented Interfaces:
  org.richfaces.resource.ResourceRequestData

    public final class DefaultCodecResourceRequestData

extends Object
implements org.richfaces.resource.ResourceRequestData

Author:
  Nick Belaevski

Constructor Summary
`DefaultCodecResourceRequestData(DefaultResourceCodec defaultResourceCodec)`

Method Summary
`Object` | `getData()`
`protected String` | `getDataString()`
`String` | `getLibraryName()`
`String` | `getResourceKey()`
`String` | `getResourceName()`
`String` | `getVersion()`
`protected boolean` | `isDataSerialized()`
`protected void` | `setDataSerialized(boolean dataSerialized)`
`protected void` | `setDataString(String dataString)`
`protected void` | `setLibraryName(String libraryName)`
`protected void` | `setResourceName(String resourceName)`
`protected void` | `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCodecResourceRequestData

    public DefaultCodecResourceRequestData(DefaultResourceCodec defaultResourceCodec)

Method Detail

### setResourceName

    protected void setResourceName(String resourceName)

### getResourceName

    public String getResourceName()

  Specified by:
    `getResourceName` in interface `org.richfaces.resource.ResourceRequestData`

### setLibraryName

    protected void setLibraryName(String libraryName)

### getLibraryName

    public String getLibraryName()

  Specified by:
    `getLibraryName` in interface `org.richfaces.resource.ResourceRequestData`

### setVersion

    protected void setVersion(String version)

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `org.richfaces.resource.ResourceRequestData`

### getResourceKey

    public String getResourceKey()

  Specified by:
    `getResourceKey` in interface `org.richfaces.resource.ResourceRequestData`

### getDataString

    protected String getDataString()

### setDataString

    protected void setDataString(String dataString)

### setDataSerialized

    protected void setDataSerialized(boolean dataSerialized)

### isDataSerialized

    protected boolean isDataSerialized()

### getData

    public Object getData()

  Specified by:
    `getData` in interface `org.richfaces.resource.ResourceRequestData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.